Coolify logoCoolify
POST
/deployments/{uuid}/cancel

Cancel a deployment by UUID.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

Deployment UUID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.coolify.io/api/v1/deployments/string/cancel"
{  "message": "Deployment cancelled successfully.",  "deployment_uuid": "cm37r6cqj000008jm0veg5tkm",  "status": "cancelled-by-user"}
{  "message": "Deployment cannot be cancelled. Current status: finished"}
{  "message": "Unauthenticated."}
{  "message": "You do not have permission to cancel this deployment."}
{  "message": "Resource not found."}